defmodule Sage.Intent do
  @moduledoc "A unit of intention to act."

  @doc """
  * about: The nature of the intent
  * since: When the intent was created
  * source: The source of the intent (name of a behavior)
  * strong: If true, the intent takes longer to become stale
  * value: The measure of the intent (a number, atom, etc.)
  """
  defstruct about: nil,
    since: nil,
    source: nil,
    strong: nil,
    value: nil
end
