defmodule Sage.Percept do
  @moduledoc "A unit of perception."

  @doc """
  * about: What is being perceived
  * resolution: The precision of the detector or perceptor (nil -> perfect)
  * since: When the perception happened
  * source: The source of the perception (a detector or perceptor)
  * transient: If true, the percept will not be memorized
  * ttl: How long the percept is to be retained in memory
  * until: Time at which the perception is still unchanged
  * value: The measurement/value of the perception (a number, atom, etc.)
  """
  defstruct about: nil,
    resolution: nil,
    since: nil,
    source: nil,
    transient: nil,
    ttl: nil,
    until: nil,
    value: nil
end
