defmodule Sage.Mixfile do
  use Mix.Project

  def project do
    [app: :sage,
     version: "0.0.1",
     elixir: "~> 1.2",
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     deps: deps,
     description: description,
     package: package]
  end

  def application do
    [applications: [:logger]]
  end

  defp deps do
    [{:earmark, "~> 0.2.1", only: :dev},
     {:ex_doc, "~> 0.11.5", only: :dev}]
  end

  defp description do
    """
    A library for an inter-connected society of agents, inspired by [Jean-Francois Cloutier](https://github.com/jfcloutier/ev3)'s [EV3 project](https://github.com/jfcloutier/ev3).
    """
  end

  defp package do
    [name: :sage,
     files: ["LICENSE", "README.md", "lib", "mix.exs"],
     maintainers: ["Josh Forisha"],
     licenses: ["MIT"],
     links: %{
       "GitHub" => "https://github.com/joshforisha/sage"
     }]
  end
end
